package com.house365.domain;

import java.io.Serializable;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/12/30</p>
 *
 * @author XN
 * @version 1.0
 */
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 2546437422085454904L;

    private String userId;
    private String deviceId;
    private String openId;
    private String appId;
    private String authCode;
    private String expiresIn;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public UserInfo(){}

    public UserInfo(String userId, String deviceId, String openId) {
        this.userId = userId;
        this.deviceId = deviceId;
        this.openId = openId;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(String expiresIn) {
        this.expiresIn = expiresIn;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("UserInfo{");
        sb.append("userId='").append(userId).append('\'');
        sb.append(", deviceId='").append(deviceId).append('\'');
        sb.append(", openId='").append(openId).append('\'');
        sb.append(", appId='").append(appId).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
